Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.conf
Class StringListValue

    java.lang.Object
      |
      +--com.solarmetric.conf.Value
            |
            +--com.solarmetric.conf.StringListValue

All Implemented Interfaces:
  Cloneable

public class StringListValue
extends Value

A comma-separated list of string values.

Field Summary
`static String[]` | `EMPTY`

Constructor Summary
`StringListValue(String prop)`

Method Summary
`String[]` | `get()` The internal value.
`protected String` | `getInternalString()` Return the internal string form of this value.
`void` | `set(String[] values)` The internal value.
`protected void` | `setInternalString(String val)` Set this value from the given string.

Methods inherited from class com.solarmetric.conf.Value
`addAlias, alias, clone, equals, getAliases, getDefault, getProperty, getString, hashCode, setAliases, setDefault, setProperty, setString, unalias`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY

    public static final String[] EMPTY

Constructor Detail

### StringListValue

    public StringListValue(String prop)

Method Detail

### set

    public void set(String[] values)

  The internal value.

### get

    public String[] get()

  The internal value.

### getInternalString

    protected String getInternalString()

  Description copied from class: `Value`
  Return the internal string form of this value.
  Overrides:
    `getInternalString` in class `Value`

### setInternalString

    protected void setInternalString(String val)

  Description copied from class: `Value`
  Set this value from the given string.
  Overrides:
    `setInternalString` in class `Value`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.